package com.css.simulation.resource.monitor.manager;

import api.common.pojo.po.home.SystemServerPO;
import com.css.simulation.resource.monitor.mappper.SystemServerMapper;
import org.apache.ibatis.session.ExecutorType;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SystemServerManager {


    @Autowired
    private SqlSessionFactory sqlSessionFactory;

    public void batchUpdateByScoreResult(SystemServerPO systemServerPO) {

        try (SqlSession sqlSession = sqlSessionFactory.openSession(ExecutorType.BATCH, false)) {
            SystemServerMapper systemServerMapper = sqlSession.getMapper(SystemServerMapper.class);
            systemServerMapper.delete();
            systemServerMapper.insert(systemServerPO);
            sqlSession.commit();
        }
    }
}
